<?php
require_once(getabspath("classes/cipherer.php"));



$tdataquadro_clientes = array();
$tdataquadro_clientes[".ShortName"] = "quadro_clientes";

$tdataquadro_clientes[".pagesByType"] = my_json_decode( "{\"dashboard\":[\"dashboard\"],\"search\":[\"search\"]}" );
$tdataquadro_clientes[".originalPagesByType"] = $tdataquadro_clientes[".pagesByType"];
$tdataquadro_clientes[".pages"] = types2pages( my_json_decode( "{\"dashboard\":[\"dashboard\"],\"search\":[\"search\"]}" ) );
$tdataquadro_clientes[".originalPages"] = $tdataquadro_clientes[".pages"];
$tdataquadro_clientes[".defaultPages"] = my_json_decode( "{\"dashboard\":\"dashboard\",\"search\":\"search\"}" );
$tdataquadro_clientes[".originalDefaultPages"] = $tdataquadro_clientes[".defaultPages"];


//	field labels
$fieldLabelsquadro_clientes = array();
$pageTitlesquadro_clientes = array();

if(mlang_getcurrentlang()=="Portuguese(Standard)")
{
	$fieldLabelsquadro_clientes["Portuguese(Standard)"] = array();
	$fieldLabelsquadro_clientes["Portuguese(Standard)"]["Clientes_CodCliente"] = "Cod Cliente";
	$fieldLabelsquadro_clientes["Portuguese(Standard)"]["Clientes_Nome"] = "Nome";
	$fieldLabelsquadro_clientes["Portuguese(Standard)"]["Clientes_Dados"] = "Dados";
	$fieldLabelsquadro_clientes["Portuguese(Standard)"]["Clientes_CodRegiao"] = "Cod Regiao";
	$fieldLabelsquadro_clientes["Portuguese(Standard)"]["Clientes_CodPHC"] = "Cod PHC";
	$fieldLabelsquadro_clientes["Portuguese(Standard)"]["Clientes_Escolha"] = "Escolha";
	$fieldLabelsquadro_clientes["Portuguese(Standard)"]["Vinha_CodVenda"] = "Cod Venda";
	$fieldLabelsquadro_clientes["Portuguese(Standard)"]["Vinha_CodUser"] = "Cod User";
	$fieldLabelsquadro_clientes["Portuguese(Standard)"]["Vinha_Data"] = "Data";
	$fieldLabelsquadro_clientes["Portuguese(Standard)"]["Vinha_CodPlanta"] = "Cod Planta";
	$fieldLabelsquadro_clientes["Portuguese(Standard)"]["Vinha_CodCliente"] = "Cod Cliente";
	$fieldLabelsquadro_clientes["Portuguese(Standard)"]["Vinha_Quantidade"] = "Quantidade";
	$fieldLabelsquadro_clientes["Portuguese(Standard)"]["Vinha_Confirmado"] = "Confirmado";
	$fieldLabelsquadro_clientes["Portuguese(Standard)"]["Vinha_NEntrega"] = "NEntrega";
	$fieldLabelsquadro_clientes["Portuguese(Standard)"]["Vinha_PE"] = "PE";
	$fieldLabelsquadro_clientes["Portuguese(Standard)"]["Vinha_Clone"] = "Clone";
	$fieldLabelsquadro_clientes["Portuguese(Standard)"]["Vinha_NE"] = "NE";
	$fieldLabelsquadro_clientes["Portuguese(Standard)"]["Vinha_Saldo"] = "Saldo";
	$fieldLabelsquadro_clientes["Portuguese(Standard)"]["Vinha_CodMarza"] = "Cod Marza";
	$fieldLabelsquadro_clientes["Portuguese(Standard)"]["Vinha_Saldo1"] = "Saldo1";
	$fieldLabelsquadro_clientes["Portuguese(Standard)"]["Vinha_Escolha"] = "Escolha";
}

//	search fields
$tdataquadro_clientes[".searchFields"] = array();
$dashField = array();
$dashField[] = array( "table"=>"Clientes", "field"=>"CodCliente" );
$tdataquadro_clientes[".searchFields"]["Clientes_CodCliente"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"Clientes", "field"=>"Nome" );
$tdataquadro_clientes[".searchFields"]["Clientes_Nome"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"Clientes", "field"=>"Dados" );
$tdataquadro_clientes[".searchFields"]["Clientes_Dados"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"Clientes", "field"=>"CodRegiao" );
$tdataquadro_clientes[".searchFields"]["Clientes_CodRegiao"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"Clientes", "field"=>"CodPHC" );
$tdataquadro_clientes[".searchFields"]["Clientes_CodPHC"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"Clientes", "field"=>"Escolha" );
$tdataquadro_clientes[".searchFields"]["Clientes_Escolha"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"Vinha", "field"=>"CodVenda" );
$tdataquadro_clientes[".searchFields"]["Vinha_CodVenda"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"Vinha", "field"=>"CodUser" );
$tdataquadro_clientes[".searchFields"]["Vinha_CodUser"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"Vinha", "field"=>"Data" );
$tdataquadro_clientes[".searchFields"]["Vinha_Data"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"Vinha", "field"=>"CodPlanta" );
$tdataquadro_clientes[".searchFields"]["Vinha_CodPlanta"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"Vinha", "field"=>"CodCliente" );
$tdataquadro_clientes[".searchFields"]["Vinha_CodCliente"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"Vinha", "field"=>"Quantidade" );
$tdataquadro_clientes[".searchFields"]["Vinha_Quantidade"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"Vinha", "field"=>"Confirmado" );
$tdataquadro_clientes[".searchFields"]["Vinha_Confirmado"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"Vinha", "field"=>"NEntrega" );
$tdataquadro_clientes[".searchFields"]["Vinha_NEntrega"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"Vinha", "field"=>"PE" );
$tdataquadro_clientes[".searchFields"]["Vinha_PE"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"Vinha", "field"=>"Clone" );
$tdataquadro_clientes[".searchFields"]["Vinha_Clone"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"Vinha", "field"=>"NE" );
$tdataquadro_clientes[".searchFields"]["Vinha_NE"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"Vinha", "field"=>"Saldo" );
$tdataquadro_clientes[".searchFields"]["Vinha_Saldo"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"Vinha", "field"=>"CodMarza" );
$tdataquadro_clientes[".searchFields"]["Vinha_CodMarza"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"Vinha", "field"=>"Saldo1" );
$tdataquadro_clientes[".searchFields"]["Vinha_Saldo1"] = $dashField;
$dashField = array();
$dashField[] = array( "table"=>"Vinha", "field"=>"Escolha" );
$tdataquadro_clientes[".searchFields"]["Vinha_Escolha"] = $dashField;

// all search fields
$tdataquadro_clientes[".allSearchFields"] = array();
$tdataquadro_clientes[".allSearchFields"][] = "Clientes_CodCliente";
$tdataquadro_clientes[".allSearchFields"][] = "Clientes_Nome";
$tdataquadro_clientes[".allSearchFields"][] = "Clientes_Dados";
$tdataquadro_clientes[".allSearchFields"][] = "Clientes_CodRegiao";
$tdataquadro_clientes[".allSearchFields"][] = "Clientes_CodPHC";
$tdataquadro_clientes[".allSearchFields"][] = "Clientes_Escolha";
$tdataquadro_clientes[".allSearchFields"][] = "Vinha_CodVenda";
$tdataquadro_clientes[".allSearchFields"][] = "Vinha_CodUser";
$tdataquadro_clientes[".allSearchFields"][] = "Vinha_Data";
$tdataquadro_clientes[".allSearchFields"][] = "Vinha_CodPlanta";
$tdataquadro_clientes[".allSearchFields"][] = "Vinha_CodCliente";
$tdataquadro_clientes[".allSearchFields"][] = "Vinha_Quantidade";
$tdataquadro_clientes[".allSearchFields"][] = "Vinha_Confirmado";
$tdataquadro_clientes[".allSearchFields"][] = "Vinha_NEntrega";
$tdataquadro_clientes[".allSearchFields"][] = "Vinha_PE";
$tdataquadro_clientes[".allSearchFields"][] = "Vinha_Clone";
$tdataquadro_clientes[".allSearchFields"][] = "Vinha_NE";
$tdataquadro_clientes[".allSearchFields"][] = "Vinha_Saldo";
$tdataquadro_clientes[".allSearchFields"][] = "Vinha_CodMarza";
$tdataquadro_clientes[".allSearchFields"][] = "Vinha_Saldo1";
$tdataquadro_clientes[".allSearchFields"][] = "Vinha_Escolha";

// good like search fields
$tdataquadro_clientes[".googleLikeFields"] = array();
$tdataquadro_clientes[".googleLikeFields"][] = "Clientes_CodCliente";
$tdataquadro_clientes[".googleLikeFields"][] = "Clientes_Nome";
$tdataquadro_clientes[".googleLikeFields"][] = "Clientes_Dados";
$tdataquadro_clientes[".googleLikeFields"][] = "Clientes_CodRegiao";
$tdataquadro_clientes[".googleLikeFields"][] = "Clientes_CodPHC";
$tdataquadro_clientes[".googleLikeFields"][] = "Clientes_Escolha";
$tdataquadro_clientes[".googleLikeFields"][] = "Vinha_CodVenda";
$tdataquadro_clientes[".googleLikeFields"][] = "Vinha_CodUser";
$tdataquadro_clientes[".googleLikeFields"][] = "Vinha_Data";
$tdataquadro_clientes[".googleLikeFields"][] = "Vinha_CodPlanta";
$tdataquadro_clientes[".googleLikeFields"][] = "Vinha_CodCliente";
$tdataquadro_clientes[".googleLikeFields"][] = "Vinha_Quantidade";
$tdataquadro_clientes[".googleLikeFields"][] = "Vinha_Confirmado";
$tdataquadro_clientes[".googleLikeFields"][] = "Vinha_NEntrega";
$tdataquadro_clientes[".googleLikeFields"][] = "Vinha_PE";
$tdataquadro_clientes[".googleLikeFields"][] = "Vinha_Clone";
$tdataquadro_clientes[".googleLikeFields"][] = "Vinha_NE";
$tdataquadro_clientes[".googleLikeFields"][] = "Vinha_Saldo";
$tdataquadro_clientes[".googleLikeFields"][] = "Vinha_CodMarza";
$tdataquadro_clientes[".googleLikeFields"][] = "Vinha_Saldo1";
$tdataquadro_clientes[".googleLikeFields"][] = "Vinha_Escolha";

$tdataquadro_clientes[".dashElements"] = array();

	$dbelement = array( "elementName" => "Clientes_list", "table" => "Clientes", 
		 "pageName" => "list1","type" => 0);
	$dbelement["cellName"] = "cell_0_0";

			$dbelement["width"] = 200;
			$dbelement["inlineAdd"] = 0 > 0;
	$dbelement["inlineEdit"] = 0 > 0;
	$dbelement["deleteRecord"] = 0 > 0;

	$dbelement["popupAdd"] = 0 > 0;
	$dbelement["popupEdit"] = 0 > 0;
	$dbelement["popupView"] = 0 > 0;
	
	$dbelement["updateSelected"] = 0 > 0;


	$tdataquadro_clientes[".dashElements"][] = $dbelement;
	$dbelement = array( "elementName" => "Vinha_list", "table" => "Vinha", 
		 "pageName" => "list","type" => 0);
	$dbelement["cellName"] = "cell_0_1";

					$dbelement["inlineAdd"] = 0 > 0;
	$dbelement["inlineEdit"] = 0 > 0;
	$dbelement["deleteRecord"] = 1 > 0;

	$dbelement["popupAdd"] = 1 > 0;
	$dbelement["popupEdit"] = 1 > 0;
	$dbelement["popupView"] = 0 > 0;
	
	$dbelement["updateSelected"] = 0 > 0;

$dbelement["masterTable"] = "Clientes";

	$tdataquadro_clientes[".dashElements"][] = $dbelement;

$tdataquadro_clientes[".shortTableName"] = "quadro_clientes";
$tdataquadro_clientes[".entityType"] = 4;



$tableEvents["Quadro Clientes"] = new eventsBase;
$tdataquadro_clientes[".hasEvents"] = false;


$tdataquadro_clientes[".tableType"] = "dashboard";


	
$tdataquadro_clientes[".addPageEvents"] = false;

$tdataquadro_clientes[".isUseAjaxSuggest"] = true;

$tables_data["Quadro Clientes"]=&$tdataquadro_clientes;
$field_labels["Quadro_Clientes"] = &$fieldLabelsquadro_clientes;
$page_titles["Quadro_Clientes"] = &$pageTitlesquadro_clientes;

?>